%define name berry-installer
%define version 0.17
%define release b1

Name:		%{name}
Summary:	Berry Linux Installer
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		System/Tools
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

Requires:	lilo Xdialog

BuildArchitectures: noarch


%description
berry-installer is a small dialog-based script for installing
BERRY on a harddisk partition.


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build


##
## Install Section
##

%install
mkdir -p %{buildroot}/opt/berry
mkdir -p %{buildroot}/opt/berry/modules/{booting,install}
install -m 755 berry-installer %{buildroot}/opt/berry
install -m 755 berry-installer-en %{buildroot}/opt/berry
install -m 755 modules/0* %{buildroot}/opt/berry/modules
install -m 755 modules/booting/* %{buildroot}/opt/berry/modules/booting
install -m 755 modules/install/* %{buildroot}/opt/berry/modules/install
install -m 755 -d %{buildroot}/usr/share/applications/Berry
install -m 644 *.desktop %{buildroot}/usr/share/applications/Berry

mkdir -p %{buildroot}/etc/rc.d/init.d
install -m 755 tools/modutils %{buildroot}/etc/rc.d/init.d/


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
/opt/berry/*
/usr/share/applications/Berry
/etc/rc.d/init.d/*


##
## change log
##

%changelog
* Mon Feb 14 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Add "rhgb" to grub.conf
- Bug fix for psmouse and modutils
- Use /etc/init.d/modutils
* Fri Jan 14 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Bug fix for grub
* Mon Nov 22 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Support grub
* Wed Oct 20 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed for bootsplash
- Bug fix for partition
* Sat Sep 18 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Updated berry-installer-en 0.46.5
- Version Up to 0.3-15
* Sun Sep 5 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Updated berry-installer-en
- Version Up to 0.3-11
* Mon May 24 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Updated berry-installer-en
- Deleted install
- Added mouse modules to rc.local for berry-installer
* Wed May 5 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed berry-installer-en from http://simplylinux.punted.net/InstallingBerry.html
* Sat Apr 17 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed SEARCHPATH
* Wed Apr 7 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added berry-installer-en from http://simplylinux.punted.net/InstallingBerry038.html
- Changed KDE Menu for KDE-3.2
* Sat Dec 13 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Support swap
* Fri Nov 28 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Support mbr install
* Mon Nov 24 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Support English mode for install
* Wed Nov 19 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Use new fs for changing device name
* Mon Sep 8 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added berry-installer
* Sat Jul 12 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from KNOPPIX (http://developer.linuxtag.net/knoppix/sources/)
- knoppix-hdinstall_0.39-1.tar.gz
